# pqxx::result::const_reverse_fielditerator Class Reference

`#include <result.hxx>`

Inheritance diagram for pqxx::result::const_reverse_fielditerator:

[legend]
List of all members.

## Public Types

typedef const_fielditerator | super
typedef const_fielditerator | iterator_type

## Public Member Functions

| const_reverse_fielditerator (const const_reverse_fielditerator &r)
| const_reverse_fielditerator (const super &rhs) throw ()
iterator_type | base () const throw ()
Manipulations
const_reverse_fielditerator & | operator= (const const_reverse_fielditerator &r)
const_reverse_fielditerator | operator++ ()
const_reverse_fielditerator | operator++ (int)
const_reverse_fielditerator & | operator-- ()
const_reverse_fielditerator | operator-- (int)
const_reverse_fielditerator & | operator+= (difference_type i)
const_reverse_fielditerator & | operator-= (difference_type i)
Arithmetic operators
const_reverse_fielditerator | operator+ (difference_type i) const
const_reverse_fielditerator | operator- (difference_type i)
difference_type | operator- (const const_reverse_fielditerator &rhs) const
Comparisons
bool | operator== (const const_reverse_fielditerator &rhs) const throw ()
bool | operator!= (const const_reverse_fielditerator &rhs) const throw ()
bool | operator< (const const_reverse_fielditerator &rhs) const
bool | operator<= (const const_reverse_fielditerator &rhs) const
bool | operator> (const const_reverse_fielditerator &rhs) const
bool | operator>= (const const_reverse_fielditerator &rhs) const

## Member Typedef Documentation

typedef const_fielditerator pqxx::result::const_reverse_fielditerator::super

typedef const_fielditerator pqxx::result::const_reverse_fielditerator::iterator_type

## Constructor & Destructor Documentation

pqxx::result::const_reverse_fielditerator::const_reverse_fielditerator | ( | const const_reverse_fielditerator & | r | ) |

pqxx::result::const_reverse_fielditerator::const_reverse_fielditerator | ( | const super & | rhs | ) | throw ()`[explicit]`

## Member Function Documentation

pqxx::result::const_fielditerator pqxx::result::const_reverse_fielditerator::base | ( |  | ) | const throw ()

const_reverse_fielditerator& pqxx::result::const_reverse_fielditerator::operator= | ( | const const_reverse_fielditerator & | r | ) |

const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator++ | ( |  | ) |

Reimplemented from pqxx::result::const_fielditerator.

pqxx::result::const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator++ | ( | int |  | ) |

Reimplemented from pqxx::result::const_fielditerator.

const_reverse_fielditerator& pqxx::result::const_reverse_fielditerator::operator-- | ( |  | ) |

Reimplemented from pqxx::result::const_fielditerator.

pqxx::result::const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator-- | ( | int |  | ) |

Reimplemented from pqxx::result::const_fielditerator.

const_reverse_fielditerator& pqxx::result::const_reverse_fielditerator::operator+= | ( | difference_type | i | ) |

Reimplemented from pqxx::result::const_fielditerator.

const_reverse_fielditerator& pqxx::result::const_reverse_fielditerator::operator-= | ( | difference_type | i | ) |

Reimplemented from pqxx::result::const_fielditerator.

const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator+ | ( | difference_type | i | ) | const

Reimplemented from pqxx::result::const_fielditerator.

const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator- | ( | difference_type | i | ) |

difference_type pqxx::result::const_reverse_fielditerator::operator- | ( | const const_reverse_fielditerator & | rhs | ) | const

bool pqxx::result::const_reverse_fielditerator::operator== | ( | const const_reverse_fielditerator & | rhs | ) | const throw ()

bool pqxx::result::const_reverse_fielditerator::operator!= | ( | const const_reverse_fielditerator & | rhs | ) | const throw ()

bool pqxx::result::const_reverse_fielditerator::operator< | ( | const const_reverse_fielditerator & | rhs | ) | const

bool pqxx::result::const_reverse_fielditerator::operator<= | ( | const const_reverse_fielditerator & | rhs | ) | const

bool pqxx::result::const_reverse_fielditerator::operator> | ( | const const_reverse_fielditerator & | rhs | ) | const

bool pqxx::result::const_reverse_fielditerator::operator>= | ( | const const_reverse_fielditerator & | rhs | ) | const

The documentation for this class was generated from the following files:

- result.hxx
- result.cxx